Anonymous Login
2019-12-08 07:58 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001733OpenClonkObjectspublic2019-03-31 18:25
ReporterZapper 
Assigned ToMarky 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
Product Versiongit master 
Target Version9.0Fixed in Version9.0 
Summary0001733: Library_Vendor: rename QueryRebuy to e.g. QueryRejectRebuy
DescriptionThe callback is used to be able to disallow (rejecting) rebuying. The callback name should reflect that in some way.

Following the naming scheme of our other callbacks (e.g. QueryRejectDeparture, QueryRejectDeselection) it should probably be that.

Other than that, seeing the name of "QueryRebuy", I wouldn't know what that is supposed to do.

("QueryOnSell" is similar. That should probably be just "OnSell" - but meh..)
Additional Informationrelated:
https://git.openclonk.org/openclonk.git/commit/89718f35a43c86471d2e6df37edc430a165ea8d1
https://git.openclonk.org/openclonk.git/commit/cf81014785c6f16753cd7f53f68634000a95d542
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2016-05-01 15:54 Zapper New Issue
2017-08-20 11:48 Zapper Target Version 8.0 => 9.0
2019-03-31 18:25 Marky Assigned To => Marky
2019-03-31 18:25 Marky Status new => resolved
2019-03-31 18:25 Marky Resolution open => fixed
2019-03-31 18:25 Marky Fixed in Version => 9.0
+Issue History